"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
function importInterface(path) {
    return __awaiter(this, void 0, void 0, function* () {
        const testInterface = yield Promise.resolve(`${path}`).then(s => require(s));
        if (typeof testInterface !== 'function') {
            return testInterface.default;
        }
        return testInterface;
    });
}
function default_1(interfacePath, param, file, ctx) {
    return __awaiter(this, void 0, void 0, function* () {
        const exec = yield importInterface(interfacePath);
        return exec(param, file, ctx);
    });
}
exports.default = default_1;
