import { ProcessLike } from './process_like';
import { Timer } from './timeout_timer';
/**
 * Sends a faked sigint to a process. If it is still not dead after a short
 * while, it sends SIGKILL.
 */
export default function softKill(process: ProcessLike, timeout: number, timerFactory?: (timeout: number) => Timer): void;
export type SoftKill = typeof softKill;
