"use strict";
/*
 * Copyright 2014 Per Eckerdal
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(time) {
    time /= 1000;
    const s = Math.round(time) % 60;
    time /= 60;
    const m = Math.round(time) % 60;
    const h = Math.round(time / 60);
    return [h && `${h}h`, m && `${m}m`, s && `${s}s`].filter((s) => s).join(' ') || '0s';
}
exports.default = default_1;
