import { TestPath } from '../test_path';
import { Message } from './message';
import Reporter from './reporter';
/**
 * ErrorDetector is a reporter mainly for internal use by the suite
 * runner. It remembers if any of the tests runs failed.
 */
export default class ErrorDetector implements Reporter {
    #private;
    gotMessage(testPath: TestPath, message: Message): void;
    didFail(): boolean;
    testPath(): TestPath | null;
    message(): Message | null;
}
