"use strict";
/*
 * Copyright 2014 Per Eckerdal
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Timer = exports.Teamcity = exports.Summary = exports.SuiteMarker = exports.Spec = exports.Serializer = exports.MessageTracker = exports.ErrorDetector = exports.ErrorDetail = exports.Combined = void 0;
// This file exports things for the public API. It intentionally does not
// export all reporters.
var combined_1 = require("./combined");
Object.defineProperty(exports, "Combined", { enumerable: true, get: function () { return combined_1.default; } });
var error_detail_1 = require("./error_detail");
Object.defineProperty(exports, "ErrorDetail", { enumerable: true, get: function () { return error_detail_1.default; } });
var error_detector_1 = require("./error_detector");
Object.defineProperty(exports, "ErrorDetector", { enumerable: true, get: function () { return error_detector_1.default; } });
var message_tracker_1 = require("./message_tracker");
Object.defineProperty(exports, "MessageTracker", { enumerable: true, get: function () { return message_tracker_1.default; } });
var serializer_1 = require("./serializer");
Object.defineProperty(exports, "Serializer", { enumerable: true, get: function () { return serializer_1.default; } });
var spec_1 = require("./spec");
Object.defineProperty(exports, "Spec", { enumerable: true, get: function () { return spec_1.default; } });
var suite_marker_1 = require("./suite_marker");
Object.defineProperty(exports, "SuiteMarker", { enumerable: true, get: function () { return suite_marker_1.default; } });
var summary_1 = require("./summary");
Object.defineProperty(exports, "Summary", { enumerable: true, get: function () { return summary_1.default; } });
var teamcity_1 = require("./teamcity");
Object.defineProperty(exports, "Teamcity", { enumerable: true, get: function () { return teamcity_1.default; } });
var timer_1 = require("./timer");
Object.defineProperty(exports, "Timer", { enumerable: true, get: function () { return timer_1.default; } });
